import { EventEmitter, ElementRef, Renderer2 } from '@angular/core';
import { FileOption, FileError } from './ngxf-uploader.service';
export declare class NgxfDropDirective {
    private _elm;
    private _render;
    uploadOutput: EventEmitter<File | File[] | FileError>;
    fileOption: FileOption;
    dropClass: string;
    multiple: string;
    accept: string;
    constructor(_elm: ElementRef, _render: Renderer2);
    drop(e: any): void;
    dragenter(e: Event): void;
    dragleave(e: Event): void;
    stopEvent(e: Event): void;
}
